Package org.apache.nutch.tools

# Class CommonCrawlConfig

java.lang.Object
org.apache.nutch.tools.CommonCrawlConfig

All Implemented Interfaces:
  `Serializable`

public class CommonCrawlConfig extends Object implements Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommonCrawlConfig()`
  Default constructor
  `CommonCrawlConfig(InputStream stream)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getJsonArray()`
  `String`
  `getKeyPrefix()`
  `String`
  `getOutputDir()`
  `boolean`
  `getReverseKey()`
  `String`
  `getReverseKeyValue()`
  `boolean`
  `getSimpleDateFormat()`
  `long`
  `getWarcSize()`
  `boolean`
  `isCompressed()`
  `void`
  `setCompressed(boolean compressed)`
  `void`
  `setJsonArray(boolean jsonArray)`
  `void`
  `setKeyPrefix(String keyPrefix)`
  `void`
  `setOutputDir(String outputDir)`
  `void`
  `setReverseKey(boolean reverseKey)`
  `void`
  `setReverseKeyValue(String reverseKeyValue)`
  `void`
  `setSimpleDateFormat(boolean simpleDateFormat)`
  `void`
  `setWarcSize(long warcSize)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CommonCrawlConfig

    public CommonCrawlConfig()
    Default constructor

  - ### CommonCrawlConfig

    public CommonCrawlConfig(InputStream stream)

- ## Method Details

  - ### setKeyPrefix

    public void setKeyPrefix(String keyPrefix)

  - ### setSimpleDateFormat

    public void setSimpleDateFormat(boolean simpleDateFormat)

  - ### setJsonArray

    public void setJsonArray(boolean jsonArray)

  - ### setReverseKey

    public void setReverseKey(boolean reverseKey)

  - ### setReverseKeyValue

    public void setReverseKeyValue(String reverseKeyValue)

  - ### getKeyPrefix

    public String getKeyPrefix()

  - ### getSimpleDateFormat

    public boolean getSimpleDateFormat()

  - ### getJsonArray

    public boolean getJsonArray()

  - ### getReverseKey

    public boolean getReverseKey()

  - ### getReverseKeyValue

    public String getReverseKeyValue()

  - ### isCompressed

    public boolean isCompressed()

  - ### setCompressed

    public void setCompressed(boolean compressed)

  - ### getWarcSize

    public long getWarcSize()

  - ### setWarcSize

    public void setWarcSize(long warcSize)

  - ### getOutputDir

    public String getOutputDir()

  - ### setOutputDir

    public void setOutputDir(String outputDir)